]> git.pld-linux.org Git - packages/anjuta.git/commitdiff
- rebuild with gtk webkit 4.1 and python 3 auto/th/anjuta-3.34.0-4
authorJan Rękorajski <baggins@pld-linux.org>
Tue, 12 Sep 2023 01:18:00 +0000 (03:18 +0200)
committerJan Rękorajski <baggins@pld-linux.org>
Tue, 12 Sep 2023 01:18:00 +0000 (03:18 +0200)
- rel 4

anjuta.spec
python3-link.patch [new file with mode: 0644]
webkit-4.1.patch [new file with mode: 0644]

index 9312287e8540a185589fcb57300fe7f5c0ad1a71..df644ff0f5613e8a0fdb6e6418699cbba0a4db8d 100644 (file)
@@ -4,13 +4,15 @@ Summary(pl.UTF-8):    Zintegrowane środowisko programowania dla GNOME
 Summary(pt_BR.UTF-8):  Ambiente de desenvolvimento integrado C e C++
 Name:          anjuta
 Version:       3.34.0
-Release:       3
+Release:       4
 Epoch:         1
 License:       GPL v2+
 Group:         X11/Development/Tools
 Source0:       http://ftp.gnome.org/pub/GNOME/sources/anjuta/3.34/%{name}-%{version}.tar.xz
 # Source0-md5: f81e3c9dbe406bb8635ea065e1602029
 Patch0:                %{name}-desktop.patch
+Patch1:                webkit-4.1.patch
+Patch2:                python3-link.patch
 URL:           https://wiki.gnome.org/Apps/Anjuta
 BuildRequires: autoconf >= 2.65
 BuildRequires: autogen
@@ -30,6 +32,7 @@ BuildRequires:        gnome-common >= 2.24.0
 BuildRequires: gobject-introspection-devel >= 0.10.0
 BuildRequires: gtk+3-devel >= 3.10.0
 BuildRequires: gtk-doc >= 1.7
+BuildRequires: gtk-webkit4.1-devel
 BuildRequires: gtksourceview3-devel >= 3.2.0
 BuildRequires: intltool >= 0.40.1
 BuildRequires: libgda5-devel >= 5.0.0
@@ -37,7 +40,7 @@ BuildRequires:        libstdc++-devel
 BuildRequires: libtool >= 2:2.2
 BuildRequires: libxml2-devel >= 1:2.6.26
 BuildRequires: pkgconfig >= 1:0.22
-BuildRequires: python-devel >= 2
+BuildRequires: python3-devel
 BuildRequires: rpmbuild(find_lang) >= 1.23
 BuildRequires: rpmbuild(macros) >= 1.592
 BuildRequires: sed >= 4.0
@@ -149,6 +152,8 @@ Dokumentacja API biblioteki libanjuta.
 %prep
 %setup -q
 %patch0 -p1
+%patch1 -p1
+%patch2 -p1
 
 %{__sed} -i -e '1s,/usr/bin/env perl,%{__perl},' plugins/tools/scripts/*.pl
 
@@ -160,6 +165,7 @@ Dokumentacja API biblioteki libanjuta.
 %{__autoheader}
 %{__automake}
 %configure \
+       PYTHON=%{__python3} \
        --with-html-dir=%{_gtkdocdir} \
        --enable-glade-catalog \
        --disable-neon \
diff --git a/python3-link.patch b/python3-link.patch
new file mode 100644 (file)
index 0000000..d36600b
--- /dev/null
@@ -0,0 +1,17 @@
+--- anjuta-3.34.0/configure.ac~        2023-09-12 02:59:25.000000000 +0200
++++ anjuta-3.34.0/configure.ac 2023-09-12 03:13:05.251658092 +0200
+@@ -372,12 +372,12 @@
+ if test x$have_python = xyes; then
+       if test -x $PYTHON-config; then
+               PYTHON_CFLAGS=`$PYTHON-config --cflags`
+-              PYTHON_LIBS=`$PYTHON-config --libs`
++              PYTHON_LIBS=`$PYTHON-config --libs --embed`
+               AC_SUBST(PYTHON_CFLAGS)
+               AC_SUBST(PYTHON_LIBS)
+       elif test -x $PYTHON$PYTHON_VERSION-config; then
+               PYTHON_CFLAGS=`$PYTHON$PYTHON_VERSION-config --cflags`
+-              PYTHON_LIBS=`$PYTHON$PYTHON_VERSION-config --libs`
++              PYTHON_LIBS=`$PYTHON$PYTHON_VERSION-config --libs --embed`
+               AC_SUBST(PYTHON_CFLAGS)
+               AC_SUBST(PYTHON_LIBS)           
+       else
diff --git a/webkit-4.1.patch b/webkit-4.1.patch
new file mode 100644 (file)
index 0000000..6b270d7
--- /dev/null
@@ -0,0 +1,22 @@
+From: Jeremy Bicha <jeremy.bicha@canonical.com>
+Date: Wed, 31 Aug 2022 22:09:45 -0400
+Subject: devhelp: switch to webkit 4.1
+
+https://src.fedoraproject.org/rpms/anjuta/blob/rawhide/f/webkit.patch
+---
+ configure.ac | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/configure.ac b/configure.ac
+index 94e3a1c..6794ad5 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -246,7 +246,7 @@ if test "x$devhelp_enabled" = "xyes"; then
+               *webkit2gtk-3.0*)
+                       AC_DEFINE([HAVE_WEBKIT2], [1], [Defined if devhelp is built against webkitgtk2])
+                       ;;
+-              *webkit2gtk-4.0*)
++              *webkit2gtk-4.1*)
+                       AC_DEFINE([HAVE_WEBKIT2], [1], [Defined if devhelp is built against webkitgtk2])
+                       ;;
+               esac
This page took 0.053856 seconds and 4 git commands to generate.